path: /build/build/usbutils-sys-apps-017.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python python_single_target_python3_9" emerge sys-apps/usbutils -pv -t && \
    USE="-python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python python_single_target_python3_9" emerge -j ${JOBS} --nodeps sys-apps/usbutils
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/usbutils && luet-portage --dir /pkgdir/usbutils
    sys-apps/usbutils && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ecb5672f86cf79333e3ee990fcd79867dec4eb700b9826450fd757bc5a1196cb
  package:
    name: usbutils
    version: "017"
    category: sys-apps
    use_flags:
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - python
    - python_single_target_python3_9
    requires:
    - name: libusb
      version: '>=0'
      category: virtual-1
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: USB enumeration utilities
    uri:
    - https://www.kernel.org/pub/linux/utils/usb/usbutils/ https://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usbutils.git/
    license: GPL-2
    buildtimestamp: 2024-02-02 11:01:54.612571537 +0000 UTC m=+192.618344638
    labels:
      BDEPEND: app-arch/xz-utils virtual/pkgconfig python? ( python_single_target_python3_10?
        ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
        ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: virtual/libusb:1= virtual/libudev:=
      IUSE: python python_single_target_python3_10 python_single_target_python3_7
        python_single_target_python3_9 python_single_target_python3_8 python_targets_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      RDEPEND: virtual/libusb:1= virtual/libudev:= sys-apps/hwids python? ( python_single_target_python3_10?
        ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) )
      emerge.packages: sys-apps/usbutils
      kit: core-kit
      original.package.name: sys-apps/usbutils
      original.package.slot: "0"
      original.package.version: "017"
    treedir: /build/packages
  package_dir: /pkgdir/usbutils
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46464bc54ba2e5130fcc542276abe826781869ba27969c35d32bfa6e5877cd15
compressiontype: zstd
files:
- usr/bin/lsusb
- usr/bin/lsusb.py
- usr/bin/usb-devices
- usr/bin/usbhid-dump
- usr/bin/usbreset
- usr/lib64/pkgconfig/usbutils.pc
- usr/share/doc/usbutils-017/NEWS.bz2
- usr/share/doc/usbutils-017/NEWS.usbhid-dump.bz2
- usr/share/doc/usbutils-017/README.md.bz2
- usr/share/man/man1/usb-devices.1.bz2
- usr/share/man/man8/lsusb.8.bz2
- usr/share/man/man8/usbhid-dump.8.bz2
- var/db/pkg/sys-apps/usbutils-017/BDEPEND
- var/db/pkg/sys-apps/usbutils-017/BUILD_TIME
- var/db/pkg/sys-apps/usbutils-017/CATEGORY
- var/db/pkg/sys-apps/usbutils-017/CBUILD
- var/db/pkg/sys-apps/usbutils-017/CFLAGS
- var/db/pkg/sys-apps/usbutils-017/CHOST
- var/db/pkg/sys-apps/usbutils-017/CONTENTS
- var/db/pkg/sys-apps/usbutils-017/COUNTER
- var/db/pkg/sys-apps/usbutils-017/CXXFLAGS
- var/db/pkg/sys-apps/usbutils-017/DEFINED_PHASES
- var/db/pkg/sys-apps/usbutils-017/DEPEND
- var/db/pkg/sys-apps/usbutils-017/DESCRIPTION
- var/db/pkg/sys-apps/usbutils-017/EAPI
- var/db/pkg/sys-apps/usbutils-017/FEATURES
- var/db/pkg/sys-apps/usbutils-017/HOMEPAGE
- var/db/pkg/sys-apps/usbutils-017/INHERITED
- var/db/pkg/sys-apps/usbutils-017/IUSE
- var/db/pkg/sys-apps/usbutils-017/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/usbutils-017/KEYWORDS
- var/db/pkg/sys-apps/usbutils-017/LDFLAGS
- var/db/pkg/sys-apps/usbutils-017/LICENSE
- var/db/pkg/sys-apps/usbutils-017/NEEDED
- var/db/pkg/sys-apps/usbutils-017/PF
- var/db/pkg/sys-apps/usbutils-017/RDEPEND
- var/db/pkg/sys-apps/usbutils-017/REQUIRES
- var/db/pkg/sys-apps/usbutils-017/SIZE
- var/db/pkg/sys-apps/usbutils-017/SLOT
- var/db/pkg/sys-apps/usbutils-017/USE
- var/db/pkg/sys-apps/usbutils-017/environment.bz2
- var/db/pkg/sys-apps/usbutils-017/repository
- var/db/pkg/sys-apps/usbutils-017/usbutils-017.ebuild
package_cacheimage: ""
runtime:
  name: usbutils
  version: "017"
  category: sys-apps
  use_flags:
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - python
  - python_single_target_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: hwids
    version: '>=0'
    category: sys-apps
  - name: libudev
    version: '>=0'
    category: virtual
  - name: libusb
    version: '>=0'
    category: virtual-1
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: USB enumeration utilities
  uri:
  - https://www.kernel.org/pub/linux/utils/usb/usbutils/ https://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usbutils.git/
  license: GPL-2
  labels:
    BDEPEND: app-arch/xz-utils virtual/pkgconfig python? ( python_single_target_python3_10?
      ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || (
      >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    DEPEND: virtual/libusb:1= virtual/libudev:=
    IUSE: python python_single_target_python3_10 python_single_target_python3_7 python_single_target_python3_9
      python_single_target_python3_8 python_targets_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: virtual/libusb:1= virtual/libudev:= sys-apps/hwids python? ( python_single_target_python3_10?
      ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) )
    emerge.packages: sys-apps/usbutils
    kit: core-kit
    original.package.name: sys-apps/usbutils
    original.package.slot: "0"
    original.package.version: "017"
